---
name: IconRow
route: /Rows/IconRow
menu: Rows
---

import { Playground, PropsTable } from 'docz'
import { View } from 'react-native'
import { IconRow } from '../../src'
import { colors } from '@barcard/functions'

## IconRow

## About

Row that displays an icon, a label, and a sublabel. Also offers a press handler.

## Basic Usage

<Playground>
  <View style={{ flex: 1, flexDirection: 'row' }}>
    <IconRow
      label={'Example row label'}
      subtext={'Subtext for the row'}
      iconType={'material'}
      iconName={'flag'}
      textColor={colors.white}
      iconSize={50}
      handlePress={() => alert('Tapped on flag row!')}
    />
  </View>
</Playground>

## Properties

<PropsTable of={IconRow} includeDescription={true} />
